Notify data lake about content events that happened in the source repository
POST/v2/ingestion-events
After uploading files with presigned URLs, you call this endpoint to associate
metadata and trigger ingestion. For example, when using createOrUpdate, you
can reference the id from a presigned URL to link the binary file.
Below is a simplified flow illustrating how ingestion might fit into the overall process:
+---------------------------+
| POST /v1/presigned-urls | (Return up to 100 pre-signed URLs)
+-----------+---------------+
|
v
PUT each file to S3 using
the presigned URLs
|
v
+------------+--------------+
| POST /v2/ingestion-events |
| (createOrUpdate) |
+------------+--------------+
|
v
Request accepted (202), ingestion queued
(Data Platform asynchronously processes
and stores/updates objects if successful.)
Additional validation of annotations for each createOrUpdate content event:
- Annotations that should be present for each content event:
- name
- type
- dateCreated
- createdBy
- dateModified
- modifiedBy
- Annotations that shouldn't be used more than once per content event:
- name
- type
- dateCreated
- createdBy
- dateModified
- modifiedBy
- aspects
- isFolder
- orgUnit
- isOrgUnitRoot
- principals
Please see example for details.
Request
Responses
- 202
- 400
- 401
- 403
- 422
- 500
Accepted
Bad Request
Unauthorized
Forbidden
Unprocessable Content
Internal Server Error